#num_keyboard_dropdown {
    top: auto;
    bottom: 42vh;
    width: 98%;
    left: 0px;
    display: block;
}
#checkCpn #num_keyboard_dropdown {
    bottom: 2vh;
    width: 30vw;
    display: block;
    margin: auto;
    right: 0;
}

.dropdown {
    position: absolute;
    width: 100%;
    left: -3px;
    top: -4px;
    z-index: 800;
    display: none;
    padding-right: 3px;
    padding-left: 3px;
    border-radius: 3px;
    background: -webkit-linear-gradient(bottom, rgba(18, 18, 24, 0.97) 0, rgba(20, 20, 27, 0.97) 42px, rgba(32, 33, 41, 0.97) 101px, rgba(37, 39, 47, 0.97) 143px);
}

.dropdown .dropdown_bg {
    padding: 4px 1px 1px;
    margin-left: -1px;
}

.num_keyboard {
    padding: 6px;
}

.num_keyboard .big_vert_key {
    float: right;
    height: 92px;
    width: 23%;
    width: calc(25% - 9px);
    padding-top: 18px;
    text-align: center;
    margin-bottom: 6px;
    font: 24px/136px PTSansBold;
    color: #FFFFFF;
    text-decoration: none;
}

.num_keyboard .key, .big_keyboard .key, .num_keyboard .big_vert_key, .num_keyboard .big_hor_key, .big_keyboard .space_key, .big_keyboard .shift_key {
    background: -webkit-linear-gradient(top, #5a5a63 0%, #4b4c55 2%, #44444d 4%, #41424b 6%, #3a3b44 20%, #33343d 28%, #2c2d35 42%, #26272f 48%, #21222a 56%, #1a1b23 76%, #1a1b23 100%);
    border: 1px solid #000000;
    border-radius: 3px;
}

.num_keyboard .key, .big_keyboard .key, .num_keyboard .big_hor_key {
    display: inline;
    float: left;
    height: 51px;
    width: 25%;
    width: calc(25% - 6px);
    margin-right: 6px;
    margin-bottom: 6px;
    color: #D5D6D8;
    font: 24px/54px PTSansBold;
    text-align: center;
    text-decoration: none;
}

.num_keyboard .big_hor_key {
    display: inline;
    float: left;
    height: 51px;
    width: 46%;
    width: calc(50% - 4px);
    margin-right: 6px;
    margin-bottom: 6px;
    color: #D5D6D8;
    font: 24px/54px PTSansBold;
    text-align: center;
    text-decoration: none;
}

.num_keyboard .key_pressed, .big_keyboard .key_pressed, .num_keyboard .big_vert_key.key_pressed, .big_keyboard .shift_active {
    background: -webkit-linear-gradient(top, #9696a7 0%, #a0a0b0 22%, #c6c5d5 68%, #d5d6e5 96%, #e6e6f2 98%, #b1b1be 100%);
}

.big_keyboard .key_pressed {
    background-position: 0px -53px;
}


.big_keyboard .key {
    display: inline;
    float: left;
    height: 53px;
    width: 6%;
    margin-right: 6px;
    margin-bottom: 6px;
    color: #D5D6D8;
    font: 24px/54px PTSansBold;
    text-align: center;
    text-decoration: none;
}
.dropdown1 {
    position: absolute;
    width: -webkit-fill-available;
    z-index: 800;
    border-radius: 3px;
    background: -webkit-linear-gradient(bottom, rgba(18, 18, 24, 0.97) 0, rgba(20, 20, 27, 0.97) 42px, rgba(32, 33, 41, 0.97) 101px, rgba(37, 39, 47, 0.97) 143px);
    left: 0;
    bottom: 0;  
    padding:0.5rem; 
}
.dropdown2 {
    position: absolute;
    width: -webkit-fill-available;
    z-index: 800;
    border-radius: 3px;
    background: -webkit-linear-gradient(bottom, rgba(18, 18, 24, 0.97) 0, rgba(20, 20, 27, 0.97) 42px, rgba(32, 33, 41, 0.97) 101px, rgba(37, 39, 47, 0.97) 143px);
    left: 0;    
    bottom: 7vh;
    padding:0.5rem;
}
.big_keyboard .keyb_close, .big_keyboard .shift_key {
    font-size: 24px;
    line-height: 54px;
    color: #FFFFFF;
    text-decoration: none;
    text-align: center;
    float: right;
    height: 51px;
    width: 145px;
}

.big_keyboard .keyb_close {
    background: -webkit-linear-gradient(top, #888c9d 0%, #797e91 2%, #72778a 4%, #606474 30%, #585c6b 44%, #535765 48%, #454853 76%, #454853 100%);
    border: 1px solid #000000;
    border-radius: 3px;
}

.big_keyboard .space_key {
    float: left;
    height: 51px;
    width: 472px;
    margin-left: 22%;
}

.big_keyboard .key_backspace {
    background-image: url(/img/keyboard_med_backspace.gif);
    height: 53px;
    width: 83px;
}

.big_keyboard .key_at {
    margin-left: 6px;
}
